package AirBomber;

import java.awt.Color;

public class BomberEntity 
{
    private int Speed;
    private double Weight;
    private Color BodyColor;
    private Color AdditionalColor;
    private boolean Bombs;
    private boolean FuelTanks;
    public double Step;

    public void Init(int Speed, double Weight, Color BodyColor, Color AdditionalColor, boolean FuelTanks, boolean Bombs)
    {
        this.Speed = Speed;
        this.Weight = Weight;
        this.BodyColor = BodyColor;
        this.AdditionalColor = AdditionalColor;
        this.FuelTanks = FuelTanks;
        this.Bombs = Bombs;

        this.Step = (double)Speed * 100 / Weight * 5 / 2;
    }

    public int GetSpeed() { return Speed; }

    public double GetWeight() { return Weight; }

    public Color GetBodyColor() { return BodyColor; }

    public Color GetAdditionalColor() { return AdditionalColor; }

    public boolean GetBombs() { return Bombs; }

    public boolean GetFuelTanks() { return FuelTanks; }
}
